Bug 469976 - The EDAC driver not support The Intel 3200 and 3210 Chipsets
The EDAC driver not support The Intel 3200 and 3210 Chipsets
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
i686 Linux
medium Severity medium
: rc
: ---
Assigned To: Mauro Carvalho Chehab
Red Hat Kernel QE team
:
Depends On:
Blocks: 5.5TechNotes-Updates
  Show dependency treegraph
 
Reported: 2008-11-04 18:47 EST by Haruo Tomita
Modified: 2013-07-04 18:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Users need to be warned if memory is failing. Consequence: Without EDAC support, it is not possible to know if an ECC memory is failing. Change: Add support for EDAC(Error Detection and Correction) support for the Memory Controllers found on systems with i3200/i3210 chipsets. Result: Users can now be warned if a memory is failing before the failures affect their systems
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 03:36:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (13.12 KB, patch)
2008-11-04 18:52 EST, Haruo Tomita
no flags Details | Diff
dmesg (29.51 KB, text/plain)
2008-11-04 18:54 EST, Haruo Tomita
no flags Details
i3200 driver (15.57 KB, patch)
2009-11-05 11:53 EST, Mauro Carvalho Chehab
no flags Details | Diff
i3200 driver from upstream (14.80 KB, patch)
2009-11-08 06:07 EST, Mauro Carvalho Chehab
no flags Details | Diff
dmesg (27.43 KB, text/plain)
2009-11-13 02:52 EST, Haruo Tomita
no flags Details

  None (edit)
Description Haruo Tomita 2008-11-04 18:47:03 EST
Description of problem:
In RHEL 5.2 and the RHEL 5.3 beta,
the EDAC driver of the Intel 3200 and 3210 Chipsets is not supported.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
The EDAC driver of the Intel 3200 and 3210 Chipsets is load.

Additional info:
Comment 1 Haruo Tomita 2008-11-04 18:52:04 EST
Created attachment 322504 [details]
patch

The EDAC driver of the Intel 3200 series is open to the public as follows. 

http://sourceforge.net/mailarchive/forum.php?thread_name=20080724045805.GA22926%40juhlenko-desk.sanmateo.corp.akamai.com&forum_name=bluesmoke-devel

I backpoted this patch to EL5.3 beta. 
(See attached file: linux-2.6.18-edac-i3200-support.patch)
Comment 2 Haruo Tomita 2008-11-04 18:54:58 EST
Created attachment 322505 [details]
dmesg

The EDAC driver was tested by using DIMM that generated the correctable error.
The result is as follows. 

EDAC MC0: CE page 0x0, offset 0x0, grain 536870912, syndrome 0x1c0000, row 0, channel 0, label "": i3200 CE
EDAC MC0: CE page 0x0, offset 0x0, grain 536870912, syndrome 0x1c0000, row 0, channel 0, label "": i3200 CE
EDAC MC0: CE page 0x0, offset 0x0, grain 536870912, syndrome 0x1c0000, row 0, channel 0, label "": i3200 CE
EDAC MC0: CE page 0x0, offset 0x0, grain 536870912, syndrome 0x1c0000, row 0, channel 0, label "": i3200 CE

The EDAC driver fine works.
(See attached file: dmesg-EL5.3PB-i3200-edac)
Comment 3 Mauro Carvalho Chehab 2008-11-20 15:27:19 EST
The driver weren't added yet at Linus tree nor at linux-next. This driver still needs some soak time.
Comment 4 Mauro Carvalho Chehab 2009-11-05 11:53:27 EST
Created attachment 367664 [details]
i3200 driver

Ok, i3200 driver is were sent upstream, to kernel 2.6.32.

The enclosed patch adds support for it on RHEL 5 kernel.

Please test.
Comment 5 Mauro Carvalho Chehab 2009-11-08 06:07:20 EST
Created attachment 368033 [details]
i3200 driver from upstream

The i3200 driver finally found his way to upstream. The enclosed patch contains the latest version of the driver, backported to RHEL5.

I've made it available at:
   http://people.redhat.com/~mchehab/.bz469976/

Could you please test it?
Comment 6 Haruo Tomita 2009-11-13 02:52:25 EST
Created attachment 369378 [details]
dmesg

I tried kernel-PAE-2.6.18-172.el5.test.i686.rpm. 
I3200 driver seems to work fine.

EDAC MC0: CE page 0x0, offset 0x0, grain 1073741824, syndrome 0x94, row 0, channel 0, label "": i3200 CE
EDAC MC0: CE page 0x0, offset 0x0, grain 1073741824, syndrome 0x94, row 0, channel 0, label "": i3200 CE
EDAC MC0: CE page 0x0, offset 0x0, grain 1073741824, syndrome 0x94, row 0, channel 0, label "": i3200 CE
Comment 7 RHEL Product and Program Management 2009-11-25 18:10:14 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 Don Zickus 2009-12-04 13:59:00 EST
in kernel-2.6.18-177.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 11 Mauro Carvalho Chehab 2009-12-21 10:49:10 EST
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Add support for EDAC(Error Detection and Correction)
support for the Memory Controllers found on systems with i3200/i3210 chipsets.
Comment 12 Mauro Carvalho Chehab 2009-12-21 11:14:47 EST
Technical note updated. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,2 +1,16 @@
+Cause:
+
+Users need to be warned if memory is failing.
+
+Consequence:
+
+Without EDAC support, it is not possible to know if an ECC memory is failing.
+
+Change:
+
 Add support for EDAC(Error Detection and Correction)
-support for the Memory Controllers found on systems with i3200/i3210 chipsets.+support for the Memory Controllers found on systems with i3200/i3210 chipsets.
+
+Result:
+
+Users can now be warned if a memory is failing before the failures affect their systems
Comment 15 errata-xmlrpc 2010-03-30 03:36:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html

Note You need to log in before you can comment on or make changes to this bug.